xine-lib: metronom_impl_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
metronom_impl_t Struct Reference

## Data Fields
metronom_t | metronom
xine_t * | xine
metronom_t * | master
pthread_mutex_t | lock
int64_t | vpts_offset
int64_t | prebuffer
struct { |
int64_t pts_per_smpls |
int64_t last_pts |
int64_t vpts |
int vpts_rmndr |
int drift_step |
int samples |
int seek |
int force_jump |
int vdr_hack |
} | audio |
struct { |
int64_t last_pts |
int64_t vpts |
int64_t av_offset |
int drift |
int drift_step |
int base_av_offset |
int force_jump |
int img_duration |
int img_cpt |
int mode |
} | video |
struct { |
int64_t vpts |
int64_t offset |
} | spu |
struct { |
int64_t diff |
int64_t vpts_offs |
int left_audio |
int left_video |
int jumped |
} | bounce |
struct { |
int have_video |
int have_audio |
int64_t last_offs |
int last_type |
int video_count |
int audio_count |
int handled_count |
int num_video_waiters |
int num_audio_waiters |
pthread_cond_t video_reached |
pthread_cond_t audio_reached |
} | disc |

## Field Documentation

## ◆ [struct]

struct { ... } metronom_impl_t::audio

## ◆ audio_count

int metronom_impl_t::audio_count

## ◆ audio_reached

pthread_cond_t metronom_impl_t::audio_reached

## ◆ av_offset

int64_t metronom_impl_t::av_offset

## ◆ base_av_offset

int metronom_impl_t::base_av_offset

Referenced by metronom_base_av_offs_hook().

## ◆ [struct]

struct { ... } metronom_impl_t::bounce

## ◆ diff

int64_t metronom_impl_t::diff

## ◆ [struct]

struct { ... } metronom_impl_t::disc

## ◆ drift

int metronom_impl_t::drift

## ◆ drift_step

int metronom_impl_t::drift_step

## ◆ force_jump

int metronom_impl_t::force_jump

## ◆ handled_count

int metronom_impl_t::handled_count

## ◆ have_audio

int metronom_impl_t::have_audio

## ◆ have_video

int metronom_impl_t::have_video

## ◆ img_cpt

int metronom_impl_t::img_cpt

## ◆ img_duration

int metronom_impl_t::img_duration

## ◆ jumped

int metronom_impl_t::jumped

## ◆ last_offs

int64_t metronom_impl_t::last_offs

## ◆ last_pts

int64_t metronom_impl_t::last_pts

## ◆ last_type

int metronom_impl_t::last_type

## ◆ left_audio

int metronom_impl_t::left_audio

## ◆ left_video

int metronom_impl_t::left_video

## ◆ lock

pthread_mutex_t metronom_impl_t::lock

## ◆ master

metronom_t* metronom_impl_t::master

## ◆ metronom

metronom_t metronom_impl_t::metronom

## ◆ mode

int metronom_impl_t::mode

## ◆ num_audio_waiters

int metronom_impl_t::num_audio_waiters

## ◆ num_video_waiters

int metronom_impl_t::num_video_waiters

## ◆ offset

int64_t metronom_impl_t::offset

## ◆ prebuffer

int64_t metronom_impl_t::prebuffer

## ◆ pts_per_smpls

int64_t metronom_impl_t::pts_per_smpls

## ◆ samples

int metronom_impl_t::samples

## ◆ seek

int metronom_impl_t::seek

## ◆ [struct]

struct { ... } metronom_impl_t::spu

## ◆ vdr_hack

int metronom_impl_t::vdr_hack

Referenced by metronom_vdr_hack_disc().

## ◆ [struct]

struct { ... } metronom_impl_t::video

## ◆ video_count

int metronom_impl_t::video_count

## ◆ video_reached

pthread_cond_t metronom_impl_t::video_reached

## ◆ vpts

int64_t metronom_impl_t::vpts

## ◆ vpts_offs

int64_t metronom_impl_t::vpts_offs

## ◆ vpts_offset

int64_t metronom_impl_t::vpts_offset

## ◆ vpts_rmndr

int metronom_impl_t::vpts_rmndr

## ◆ xine

xine_t* metronom_impl_t::xine

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/xine-engine/metronom.c